//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWColorPopupCtrl : public VWControl
		{
		public:
								VWColorPopupCtrl(TControlID id);
			virtual				~VWColorPopupCtrl();

			virtual bool		CreateControl(VWDialog* pDlg);

		// attributes
		public:
			RGBColor			GetSelectedColor() const;
			void				SetSelectedColor(const RGBColor& color);
		};
	}
}